Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jason.asSyntax
Enum BodyLiteral.BodyType

    java.lang.Object
      java.lang.Enum<BodyLiteral.BodyType>
          jason.asSyntax.BodyLiteral.BodyType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BodyLiteral.BodyType>

Enclosing class:
  BodyLiteral

Deprecated. Use BodyType of PlanBody instead

    public static enum BodyLiteral.BodyType

extends java.lang.Enum<BodyLiteral.BodyType>

Enum Constant Summary
`achieve` Deprecated.
`achieveNF` Deprecated.
`action` Deprecated.
`addBel` Deprecated.
`constraint` Deprecated.
`delAddBel` Deprecated.
`delBel` Deprecated.
`internalAction` Deprecated.
`none` Deprecated.
`test` Deprecated.

Method Summary
`static BodyLiteral.BodyType` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static BodyLiteral.BodyType[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### none

    public static final BodyLiteral.BodyType none

  Deprecated.

### action

    public static final BodyLiteral.BodyType action

  Deprecated.

### internalAction

    public static final BodyLiteral.BodyType internalAction

  Deprecated.

### achieve

    public static final BodyLiteral.BodyType achieve

  Deprecated.

### test

    public static final BodyLiteral.BodyType test

  Deprecated.

### addBel

    public static final BodyLiteral.BodyType addBel

  Deprecated.

### delBel

    public static final BodyLiteral.BodyType delBel

  Deprecated.

### delAddBel

    public static final BodyLiteral.BodyType delAddBel

  Deprecated.

### achieveNF

    public static final BodyLiteral.BodyType achieveNF

  Deprecated.

### constraint

    public static final BodyLiteral.BodyType constraint

  Deprecated.

Method Detail

### values

    public static BodyLiteral.BodyType[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BodyLiteral.BodyType c : BodyLiteral.BodyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BodyLiteral.BodyType valueOf(java.lang.String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD